
singleton Material(Undercarriage)
{
   mapTo = "Chassis";
   diffuseColor[0] = "0.200000012 0.200000012 0.200000012 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(Fuel_Tank)
{
   mapTo = "Fuel_Tank";
   diffuseColor[0] = "0.400000012 0.200000012 0.200000012 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(Disk_FR)
{
   mapTo = "Disk_FR";
   diffuseColor[0] = "0.2 0.1 0.1 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(Glass)
{
   mapTo = "Glass";
    reflectivityMap[0] = "vehicles/common/glass_base_2.dds";
    diffuseMap[0] = "vehicles/Charmand Cuatro/Glass_D.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
	doubleSided = "1";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Tire)
{
   mapTo = "Tire";
   diffuseColor[0] = "0.639999986 0.639999986 0.639999986 0.714285731";
   translucent = "1";
};

singleton Material(Mirror)
{
   mapTo = "Mirror";
    diffuseMap[1] = "vehicles/common/null2.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.8 0.8 0.8 1";
    diffuseColor[1] = "0.8 0.8 0.8 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	dynamicCubemap = true;
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Chrome)
{
   mapTo = "Chrome";
    diffuseMap[1] = "vehicles/common/null2.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.47 0.47 0.47 1";
    diffuseColor[1] = "0.47 0.47 0.47 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	dynamicCubemap = true;
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//For the love of scatman don't edit this shit. ~TechMechanic

singleton Material(Doors)
{
   mapTo = "Doors";
    colorPaletteMap[2] = "vehicles/Charmand Cuatro/Coloursheet.dds";
    diffuseMap[2] = "vehicles/common/null.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0.9 0.9 0.9 0.65";
    diffuseColor[1] = "0.9 0.9 0.9 0.65";
    diffuseColor[2] = "0.9 0.9 0.9 0.65";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Hatch)
{
   mapTo = "Hatch";
    colorPaletteMap[2] = "vehicles/Charmand Cuatro/Coloursheet.dds";
    diffuseMap[2] = "vehicles/common/null.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0.9 0.9 0.9 0.65";
    diffuseColor[1] = "0.9 0.9 0.9 0.65";
    diffuseColor[2] = "0.9 0.9 0.9 0.65";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Pickup)
{
   mapTo = "Pickup";
    colorPaletteMap[2] = "vehicles/Charmand Cuatro/Coloursheet.dds";
    diffuseMap[2] = "vehicles/common/null.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0.9 0.9 0.9 0.65";
    diffuseColor[1] = "0.9 0.9 0.9 0.65";
    diffuseColor[2] = "0.9 0.9 0.9 0.65";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Van)
{
   mapTo = "Van";
    colorPaletteMap[2] = "vehicles/Charmand Cuatro/Coloursheet.dds";
    diffuseMap[2] = "vehicles/common/null.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0.9 0.9 0.9 0.65";
    diffuseColor[1] = "0.9 0.9 0.9 0.65";
    diffuseColor[2] = "0.9 0.9 0.9 0.65";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Buggy)
{
   mapTo = "Buggy";
    colorPaletteMap[2] = "vehicles/Charmand Cuatro/Coloursheet.dds";
    diffuseMap[2] = "vehicles/common/null.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0.9 0.9 0.9 0.65";
    diffuseColor[1] = "0.9 0.9 0.9 0.65";
    diffuseColor[2] = "0.9 0.9 0.9 0.65";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Convertable)
{
   mapTo = "Convertable";
    diffuseMap[2] = "vehicles/common/null.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0.9 0.9 0.9 0.65";
    diffuseColor[1] = "0.9 0.9 0.9 0.65";
    diffuseColor[2] = "0.9 0.9 0.9 0.65";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Seat)
{
   mapTo = "Seat";
   diffuseColor[0] = "0.2 0.2 0.2 1";
   translucent = "0";
};

singleton Material(Charmand-B)
{
   mapTo = "Charmand-B";
   diffuseColor[0] = "0.2 0.3 0.2 1";
   translucent = "0";
};

singleton Material(Rally-Tech)
{
   mapTo = "Rally-Tech";
   diffuseColor[0] = "0.8 0.2 0.2 1";
   translucent = "0";
};

singleton Material(Indicator)
{
   mapTo = "Indicator";
   diffuseColor[0] = "0.8 0.4 0.2 1";
   translucent = "0";
};

singleton Material(Light)
{
   mapTo = "Light";
   diffuseColor[0] = "0.8 0.7 0.2 1";
   translucent = "0";
};

singleton Material(Light_R)
{
   mapTo = "Light_R";
   diffuseColor[0] = "0.6 0.1 0.1 1";
   translucent = "0";
};